<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- param name = order / the order to fill
           param name = displayExtraParamForOF (true/false)
           param name = isWorkOrder (true/false)
           param name = valueResultStatus-->
    <ui:decorate template="/common/fillingAbstractOrder.xhtml">
        <ui:param name="valueResultStatus" value="#{valueResultStatus}"/>
        <ui:define name="selectUniversalServiceId">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="labusi"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.UniversalServiceID_2']}</ui:define>
                <h:selectOneMenu value="#{order.universalServiceId}" required="true"
                                 id="labusi" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('labUniversalServiceId')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </ui:define>
        <ui:define name="rightColumn">
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{displayExtraParamForOF}">
                <ui:param name="id" value="diagnostic"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.DiagnosticService']}</ui:define>
                <h:selectOneMenu value="#{order.diagnosticServiceSectionID}" required="true"
                                 id="diagnostic" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('diagnosticService')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                <ui:param name="id" value="copy"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.ResultCopiesTo']}</ui:define>
                <h:selectOneMenu value="#{order.resultCopiesTo}" required="true"
                                 id="copy" styleClass="form-control">
                    <f:selectItems value="#{valueSet.getListOfConcepts('doctor')}"/>
                </h:selectOneMenu>
            </s:decorate>
            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                        rendered="#{displayExtraParamForOF and not isWorkOrder}">
                <ui:param name="id" value="availDate"/>
                <ui:define name="label">#{messages['gazelle.ordermanager.ExpectedAvailableDatetime']}</ui:define>
                <a4j:outputPanel layout="block">
                    <rich:calendar value="#{order.expectedAvailabilityDateTime}" locale="#{localeSelector.localeString}"
                                   datePattern="dd/MM/yyyy HH:mm" showApplyButton="true" required="true"
                                   id="availDate"/>
                </a4j:outputPanel>
            </s:decorate>
        </ui:define>
    </ui:decorate>
</ui:composition>
